Subject: Re: [MOBILE-IP] Applicability of IP Mobility to CDMA Soft Handoff

From: Arek Dadej <[email-masked]>
Date: Sat, 6 May 2000 00:31:28 +0930

Andras,

I agree that it is good to have data to prove our statements. However, as far
as ATM vs IP goes, it is not too hard to guess tha with the current technology
ATM has a better chance to guarantee QoS, especially when delay and jitter are
concerned. Apart from the obvious differences in the approach to QoS, the
important one is that ATM is FAST PACKET (CELL) SWITCHING, while IP can only be
a conventional packet switching technology. The subtle difference is in the
degree to which you have to examine the header in order to effect the
forwarding. Also, the constant (small) cell size makes it easier to control
delay and jitter. So, for high volume (high speed) applications, ATM has a
better chance to be as fast as we want it to be.

However, ATM vs IP within the RAN may be a totally different issue. The major
differences between ATM and IP are not so important here, and thus one could
imagine both performing well enough.

Cheers
--Arek

-----Original Message-----
From: Andras Veres
To: [email-masked]
Sent: 5/6/00 1:11 AM
Subject: Re: [MOBILE-IP] Applicability of IP Mobility to CDMA Soft Handoff

James,

> ATM is already packet (well, cell) switched. There is a potential
opportunity
> for replacing ATM with IP, provided the stringent timing and jitter
> constraints can be met, but I don't think that existing IP mobility
solutions
> will have a role to play in CDMA RAN networks for soft handoff
purposes.

You claim that IP is not able to guarantee delay and jitter
requirements, while ATM is able to do it. This is not proven. If this
is the central point of the draft, you will have to back it with data,
otherwise we are not on solid ground. Personally I would be very
interested in arguments in favor of ATM regarding QoS guarantees, and
for a complete and satifying draft, you should probably consider
extending the draft in this direction.

If it is not QoS which differentiates an ATM based RAN and an IP based
RAN, then it the mobility protocol which is used. I think THIS FITS
the charter of this WG, and we should focus on whether MIP and
the micomobility proposals (CIP, RMIP, HAWAII) are able to support
the needs of ANY radio technology. The MIP in its current form
is not able to "penetrate" the WCDMA RAN, it has to stop at the
edges.

Regards,
Andras

--
Andras Veres

http://comet.ctr.columbia.edu/~veres
Columbia University
Dept. of Electrical Engineering mc 4712
500 West 120th Street, H1
New York, NY 10027

Office phone:   (212) 854-3117
Office fax:     (212) 932-9421

---

From: "Andrew T. Campbell" <[email-masked]>
Date: Fri, 5 May 2000 11:26:51 -0700

My personal view is ATM and virtual cicuits complicate
the design of the access network and are not needed.

Packet based link layers will win - ATM is dead.

---

From: Grenville Armitage <[email-masked]>
Date: Fri, 5 May 2000 09:49:48 -0700

Arek Dadej wrote:
        [..]
> Apart from the obvious differences in the approach to QoS, the
> forwarding.

In practice nowdays this is no longer relevant - many new core
routers are being designed nowdays with packet switching/forwarding
rates at OC-48c and higher.

> Also, the constant (small) cell size makes it easier to control
> delay and jitter.

This point is valid, and the only remaining possible justification
for ATM underneath IP at any point in a network - viz. that
sometimes you need a 'link' mechanism that can segment and
interleave IP packets having different priorities (e.g. using
the VC concept to isolate different priority levels, and mux/schedule
at the cell level)

> So, for high volume (high speed) applications, ATM has a

Interestingly, over low speed links (e.g. < couple hundred Kbit/sec)
there may be interleaving benefits to having something like
ATM under IP (on a per hop basis), although if the link
layer itself provides this in other ways that would make ATM
arguably redundant.

cheers,
gja
________________________________________________________________________
Grenville Armitage                    http://members.home.net/garmitage/
Bell Labs Research Silicon Valley

---

From: Sylvain Gille <[email-masked]>
Date: Fri, 5 May 2000 19:04:46 +0100

hi,

does anybody know where I could find a script in Tcl
(running with NS2) which purpose is to study routing in mip
i.e. to make test on delays at MH, optimization etc...

Sylvain.